Patch #32531

Update RuboCop Rails to 2.8

Added by Go MAEDA 11 months ago. Updated 1 day ago.

Status:ClosedStart date:
Priority:NormalDue date:
Assignee:Go MAEDA% Done:

0%

Category:Gems support
Target version:4.2.0

update-rubocop-rails.diff Magnifier (1.92 KB) Go MAEDA, 2019-11-29 08:56

Associated revisions

Revision 19321
Added by Go MAEDA 11 months ago

Update RuboCop Rails to 2.4 (#32531).

Revision 19623
Added by Go MAEDA 7 months ago

Update RuboCop Rails to 2.5 (#32531).

Revision 20172
Added by Go MAEDA 1 day ago

Update RuboCop Rails to 2.8 (#32531).

History

#1 Updated by Go MAEDA 11 months ago

  • Status changed from New to Closed
  • Assignee set to Go MAEDA

Committed the patch.

#2 Updated by Go MAEDA 7 months ago

  • Subject changed from Update RuboCop Rails to 2.4 to Update RuboCop Rails to 2.5

Updated RuboCop Rails to 2.5 in r19623.

#3 Updated by Go MAEDA 1 day ago

  • Subject changed from Update RuboCop Rails to 2.5 to Update RuboCop Rails to 2.8
  • Status changed from Closed to Reopened

The latest version is 2.8.1.
https://rubygems.org/gems/rubocop-rails/versions/2.8.1

Since Redmine dropped support for Ruby 2.3 (#34142), we can update rubocop-rails to 2.8 that requires Ruby >= 2.4.0.

#4 Updated by Go MAEDA 1 day ago

  • Status changed from Reopened to Closed

Updated ruboCop Rails to 2.8 in r20172.

Also available in: Atom PDF